overwrite: true
schema: './graphql/crm.schema.graphql'
documents: '**/*.{graphql,js,ts,jsx,tsx}'
generates:
  ./graphql/crm.types.ts:
    plugins:
      - typescript
      - typescript-operations
    config:
      onlyOperationTypes: true
      useTypeImports: true
      avoidOptionals:
        field: true
        inputValue: false
        object: true
        defaultValue: true
      scalars:
        Uuid: string
        Decimal: number
        DateTime: string
# exclude: './graphql/crm.schema.graphql'
